ch.qos.logback.core.net

## Class SyslogAppenderBase<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.AppenderBase<E>
    - - ch.qos.logback.core.net.SyslogAppenderBase<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  Appender<E>, ContextAware, FilterAttachable<E>, LifeCycle

Direct Known Subclasses:
  SyslogAppender

    public abstract class SyslogAppenderBase<E>
    extends AppenderBase<E>

Base class for SyslogAppender.

Author:
  Ceki Gülcü

### Field Summary

Fields
`protected java.lang.String` `suffixPattern`

### Fields inherited from class ch.qos.logback.core.AppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`SyslogAppenderBase()`

### Method Summary

Methods
`protected void` `append(E eventObject)`
`abstract Layout<E>` `buildLayout()`
`static int` `facilityStringToint(java.lang.String facilityStr)` Returns the integer value corresponding to the named syslog facility.
`java.lang.String` `getFacility()` Returns the string value of the Facility option.
`Layout<E>` `getLayout()`
`int` `getMaxMessageSize()`
`int` `getPort()`
`abstract int` `getSeverityForEvent(java.lang.Object eventObject)`
`java.lang.String` `getSuffixPattern()` See {@link #setSuffixPattern(String).
`java.lang.String` `getSyslogHost()` Returns the value of the SyslogHost option.
`protected void` `postProcess(java.lang.Object event, java.io.OutputStream sw)`
`void` `setFacility(java.lang.String facilityStr)` The Facility option must be set one of the strings KERN, USER, MAIL, DAEMON, AUTH, SYSLOG, LPR, NEWS, UUCP, CRON, AUTHPRIV, FTP, NTP, AUDIT, ALERT, CLOCK, LOCAL0, LOCAL1, LOCAL2, LOCAL3, LOCAL4, LOCAL5, LOCAL6, LOCAL7.
`void` `setLayout(Layout<E> layout)`
`void` `setMaxMessageSize(int maxMessageSize)` Maximum size for the syslog message (in characters); messages longer than this are truncated.
`void` `setPort(int port)` The port number on the syslog server to connect to.
`void` `setSuffixPattern(java.lang.String suffixPattern)` The suffixPattern option specifies the format of the non-standardized part of the message sent to the syslog server.
`void` `setSyslogHost(java.lang.String syslogHost)` The SyslogHost option is the name of the the syslog host where log output should go.
`void` `start()`
`void` `stop()`

### Methods inherited from class ch.qos.logback.core.AppenderBase

`addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Field Detail

#### suffixPattern

    protected java.lang.String suffixPattern

### Constructor Detail

#### SyslogAppenderBase

    public SyslogAppenderBase()

### Method Detail

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `AppenderBase<E>`

#### buildLayout

    public abstract Layout<E> buildLayout()

#### getSeverityForEvent

    public abstract int getSeverityForEvent(java.lang.Object eventObject)

#### append

    protected void append(E eventObject)

Specified by:
  `append` in class `AppenderBase<E>`

#### postProcess

    protected void postProcess(java.lang.Object event,
                   java.io.OutputStream sw)

#### facilityStringToint

    public static int facilityStringToint(java.lang.String facilityStr)

Returns the integer value corresponding to the named syslog facility.

Throws:
  `java.lang.IllegalArgumentException` - if the facility string is not recognized

#### getSyslogHost

    public java.lang.String getSyslogHost()

Returns the value of the SyslogHost option.

#### setSyslogHost

    public void setSyslogHost(java.lang.String syslogHost)

The SyslogHost option is the name of the the syslog host where log output should go. WARNING If the SyslogHost is not set, then this appender will fail.

#### getFacility

    public java.lang.String getFacility()

Returns the string value of the Facility option. See `setFacility(java.lang.String)` for the set of allowed values.

#### setFacility

    public void setFacility(java.lang.String facilityStr)

The Facility option must be set one of the strings KERN, USER, MAIL, DAEMON, AUTH, SYSLOG, LPR, NEWS, UUCP, CRON, AUTHPRIV, FTP, NTP, AUDIT, ALERT, CLOCK, LOCAL0, LOCAL1, LOCAL2, LOCAL3, LOCAL4, LOCAL5, LOCAL6, LOCAL7. Case is not important.

See `SyslogConstants` and RFC 3164 for more information about the Facility option.

#### getPort

    public int getPort()

Returns:

#### setPort

    public void setPort(int port)

The port number on the syslog server to connect to. Normally, you would not want to change the default value, that is 514.

#### getMaxMessageSize

    public int getMaxMessageSize()

Returns:

#### setMaxMessageSize

    public void setMaxMessageSize(int maxMessageSize)

Maximum size for the syslog message (in characters); messages longer than this are truncated. The default value is 65400 (which is near the maximum for syslog-over-UDP). Note that the value is characters; the number of bytes may vary if non-ASCII characters are present.

#### getLayout

    public Layout<E> getLayout()

#### setLayout

    public void setLayout(Layout<E> layout)

#### stop

    public void stop()

Specified by:
  `stop` in interface `LifeCycle`
Overrides:
  `stop` in class `AppenderBase<E>`

#### getSuffixPattern

    public java.lang.String getSuffixPattern()

See {@link #setSuffixPattern(String).

Returns:

#### setSuffixPattern

    public void setSuffixPattern(java.lang.String suffixPattern)

The suffixPattern option specifies the format of the non-standardized part of the message sent to the syslog server.

Parameters:
  `suffixPattern` -